ASEQDUMP(1)

NAME
aseqdump - show the events received at an ALSA sequencer port

SYNOPSIS
aseqdump [-p client:port,...]

DESCRIPTION
aseqdump is a command-line utility that prints the sequencer events it receives as text. To stop receiving, press Ctrl+C.

OPTIONS

-h,--help
    Prints a list of options.

-V,--version
    Prints the current version.

-l,--list
    Prints a list of possible input ports.

-u,--ump=version
    Sets the client MIDI version. 0 is for legacy mode, 1 is UMP MIDI 1.0 mode, and 2 is UMP MIDI 2.0 mode.

-r,--raw
    Suppress the automatic conversion of events among UMP and legacy clients.

-R,--raw-view
    Shows the raw values as is. The channel numbers and UMP group numbers are 0-based in this mode. This is the default behavior.

-N,--normalized-view
    Shows the normalized values to be aligned with MIDI 1.0. The channel numbers and UMP group numbers are shown as 1-based values, i.e. 1 is the lowest number. The velocity and data values are normalized between 0 and 127. The values for MIDI 2.0 are shown with two digits decimal points (from 0.00 to 127.00). The pitch wheel is normalized between -8192 to 8192, too.

-P,--percent-view
    Shows the values in percentage. The channel numbers and UMP group numbers are shown as 1-based values in this mode, too. The velocity and data values are normalized between 0 and 100%, shown with two digits decimal points. The pitch wheel is normalized between -100% to 100%, too.

-p,--port=client:port,...
    Sets the sequencer port(s) from which events are received. A client can be specified by its number, its name, or a prefix of its name. A port is specified by its number; for port 0 of a client, the ":0" part of the port specification can be omitted.

AUTHOR
Clemens Ladisch <clemens@ladisch.de>